Package org.picocontainer.injectors

# Class InjectInto

java.lang.Object
org.picocontainer.injectors.InjectInto

All Implemented Interfaces:
  `Type`

public class InjectInto extends Object implements Type

## Constructor Summary

Constructors
Constructor
Description
`InjectInto(Type intoType, Object intoKey)`

## Method Summary

Modifier and Type
Method
Description
`Class`
`getIntoClass()`
`Object`
`getIntoKey()`
`Type`
`getIntoType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.reflect.Type

`getTypeName`

## Constructor Details

### InjectInto

public InjectInto(Type intoType, Object intoKey)

## Method Details

### getIntoType

public Type getIntoType()

### getIntoClass

public Class getIntoClass()

### getIntoKey

public Object getIntoKey()